> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace Detail



## OpenAPI

````yaml /openapi.json get /admin/api/workspaces/{id}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/workspaces/{id}:
    get:
      tags:
        - Admin Api
      summary: Get Workspace Detail
      operationId: AdminApiController_getWorkspaceDetail
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminWorkspaceResponseDto'
components:
  schemas:
    AdminWorkspaceResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        ownerId:
          type: string
          nullable: true
        ownerEmail:
          type: string
          nullable: true
        memberCount:
          type: number
        members:
          type: array
          items:
            $ref: '#/components/schemas/AdminWorkspaceMemberDto'
        createdAt:
          format: date-time
          type: string
      required:
        - id
        - name
        - ownerId
        - ownerEmail
        - memberCount
        - members
        - createdAt
    AdminWorkspaceMemberDto:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        governance:
          type: string
          enum:
            - owner
            - admin
            - member
      required:
        - id
        - email
        - firstName
        - lastName
        - governance

````